<?php

$login = "ВАШ ЛОГИН";
$client_id = "ВАШ CLIENT ID";
$user_id = null;

// получение ID пользователя
$url = "https://api.instagram.com/v1/users/search?q={$login}&client_id={$client_id}";

$resource_decode = sendRequest($url);

if($resource_decode['meta']['code'] != 200){
    exit;
}

$user_id = $resource_decode['data'][0]['id'];

// получение списка последних изображений
$url_send = "https://api.instagram.com/v1/users/{$user_id}/media/recent/?client_id={$client_id}";

$data_images = sendRequest($url_send);

$result_html = render_html($data_images);


function sendRequest($url){
    $curl = curl_init($url);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    $result = curl_exec($curl);
    curl_close($curl);
    $resource_decode = json_decode($result, true);
    return $resource_decode;
}

function render_html($data){
    $result_str = '';
    if(count($data['data']) > 0 && $data['meta']['code'] == 200){

        $result_str .= '<div id="owl" class="owl-carousel">';
        foreach($data['data'] as $image){
            $result_str .= "<div>
                                <a title='{$image['caption']['text']}' href='{$image['images']['standard_resolution']['url']}' class='fancy' rel='gallery'><img  src='{$image['images']['thumbnail']['url']}' alt=''/></a>
                            </div>";
        }
        $result_str .= '</div>';


    } else {
        $result_str = 'Изображений в папке нет';
    }

    return $result_str;
}

?>

<!doctype html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <title>Слайдер картинок из Инстаграмма</title>
    <link rel="stylesheet" href="/frontend/normalize.css/normalize.css"/>
    <link rel="stylesheet" href="/frontend/bootstrap/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="/frontend/bootstrap/dist/css/bootstrap-theme.min.css">
    <link href='http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,600,700' rel='stylesheet' type='text/css'>

    <link rel="stylesheet" href="/frontend/OwlCarousel/assets/css/bootstrapTheme.css">
    <link rel="stylesheet" href="/frontend/OwlCarousel/assets/css/custom.css">
    <link rel="stylesheet" href="/frontend/OwlCarousel/owl-carousel/owl.carousel.css">
    <link rel="stylesheet" href="/frontend/OwlCarousel/owl-carousel/owl.theme.css">
    <link rel="stylesheet" href="/frontend/OwlCarousel/assets/js/google-code-prettify/prettify.css">

    <link rel="stylesheet" href="/frontend/fancybox/source/jquery.fancybox.css">
<!--    <link rel="stylesheet" href="/libs/fancybox/jquery.fancybox.css">-->
</head>
<body>
<div class="container">
    <div class="row header">
        <div class="col-lg-12 header__title">
            <h1 class="header__title-h1">Слайдер фоток из Инстаграмма</h1>
        </div>
    </div>

    <div class="row slider">
        <div class="col-lg-12 ">
            <?php echo $result_html; ?>
        </div>
    </div>
</div>


<script src="/frontend/jquery/dist/jquery.min.js"></script>
<script src="/frontend/OwlCarousel/owl-carousel/owl.carousel.js"></script>
<script src="/frontend/fancybox/source/jquery.fancybox.js"></script>
<script type="text/javascript">

    $(document).ready(function() {

        $("#owl").owlCarousel({
            items : 7
        });


        $(".fancy").fancybox();

    });
</script>
</body>
</html>
